GNU bug report logs - #28345
25.2.1: package-install-file and dynamic modules

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Peking Duck <pekingducklabs@HIDDEN>; dated Mon, 4 Sep 2017 15:14:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 28345 <at> debbugs.gnu.org:


Received: (at 28345) by debbugs.gnu.org; 24 Sep 2017 23:25:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 24 19:25:07 2017
Received: from localhost ([127.0.0.1]:56785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwGGp-0000P5-5G
	for submit <at> debbugs.gnu.org; Sun, 24 Sep 2017 19:25:07 -0400
Received: from mail-pg0-f52.google.com ([74.125.83.52]:52680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jwiegley@HIDDEN>) id 1dwGGm-0000O2-GG
 for 28345 <at> debbugs.gnu.org; Sun, 24 Sep 2017 19:25:04 -0400
Received: by mail-pg0-f52.google.com with SMTP id i195so3025395pgd.9
 for <28345 <at> debbugs.gnu.org>; Sun, 24 Sep 2017 16:25:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:date:message-id:references
 :user-agent:mime-version;
 bh=stqST9q7OKR6k9+ioMtlg8vL4/RY+P43GqJrHkrqsBg=;
 b=SmJYV5jB+mC3iXcq8Iq4zHplj9Py9MrcXPc8SQJnSgCSjosBdsVkinfx1WDxSakC2w
 7bWG0Iohydt5sL1mrh4UUqaT/qaByfG8w+MXjImCZ5Jt27n8hX39pbePsTH9otW+GO9n
 6oUI7iCPLcvzS4kTz3YEdxDBUlZZ16LTyOfQpCde/CnjR8yqVldlbbZzYyFygIL89b6u
 oZAPOE+GitMzh69ph1mG5oE4Ae/EFDBjPzliIGxo7nAK2KAUC2Eqj+L4lkspNFOdd66t
 FKWfZo17UzDmffXkRNW2ovAIWdn61v8UmfNlT4fsyuQzq6djpXIu2xHxNc1MDpXsLcRA
 5VZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:date:message-id
 :references:user-agent:mime-version;
 bh=stqST9q7OKR6k9+ioMtlg8vL4/RY+P43GqJrHkrqsBg=;
 b=kEjapmvWFyQBRqnw/QJ13qrrIQUnKa5jIVMOzIldnTe8iXtKio20NufX1RjHWDfH/c
 4/vMuNYIxioQlsPm7cBSB1PgKMoWTeqD8npiv8J5uD8O3QmoCHVW0zlarrAVEcviYz+X
 IHhuYd7BBWe4CpfRACY6CMMdw+4ntHBxg0ROcOARkclpJ293UvWZXf2Dt3hqbfQy/Tyv
 p9uQcWPhbHqoEuydsFz5v53LPbAuR9f+IIrPHn4E3k8UsuwKV/vyx6Eq4rPqgMa6o8XH
 il7ZhmelyiPW15XM8R5AkD7NdsJGHdOO2noC2E5Bm1Ot8ziETjjoC9JIKYisWEK5lcJF
 WwQw==
X-Gm-Message-State: AHPjjUggN0DzuKf/2CsLhnhh4BUbwbJ5GKa9+48+Gcd21az5T3NY3jFh
 qAkBKaLDDYDdRZTpHqoDukQOAYTj
X-Google-Smtp-Source: AOwi7QADrwWefRP5VL3KsvmqzUhVL5PeadXNIo8T6pJrRDVSMVO1qI3hroQEWqzcZh+gjhlExLs0iw==
X-Received: by 10.101.73.193 with SMTP id t1mr5801608pgs.97.1506295498426;
 Sun, 24 Sep 2017 16:24:58 -0700 (PDT)
Received: from Vulcan.local (76-234-69-149.lightspeed.frokca.sbcglobal.net.
 [76.234.69.149])
 by smtp.gmail.com with ESMTPSA id s189sm9468395pgc.1.2017.09.24.16.24.53
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 24 Sep 2017 16:24:54 -0700 (PDT)
From: John Wiegley <jwiegley@HIDDEN>
X-Google-Original-From: "John Wiegley" <johnw@HIDDEN>
Received: by Vulcan.local (Postfix, from userid 501)
 id 061399068284; Sun, 24 Sep 2017 16:24:53 -0700 (PDT)
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#28345: 25.2.1: package-install-file and dynamic modules
In-Reply-To: <CAArVCkRS19CUnKjCGCMGpPsL7XSu5_xy2Gj1u+_EmrhKv=ak1w@HIDDEN>
 (Philipp Stephani's message of "Sun, 24 Sep 2017 11:08:16 +0000")
Date: Sun, 24 Sep 2017 16:12:31 -0700
Message-ID: <m2lgl37ktc.fsf@HIDDEN>
References: <CAN+BrVpg5sA0UvcO54sLzNhec7igsqzFJ0V6raenoVLfbahG=A@HIDDEN>
 <CAArVCkRS19CUnKjCGCMGpPsL7XSu5_xy2Gj1u+_EmrhKv=ak1w@HIDDEN>
User-Agent: Gnus/5.130016 (Ma Gnus v0.16) Emacs/26.0 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28345
Cc: Peking Duck <pekingducklabs@HIDDEN>, 28345 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>>>>> "PS" == Philipp Stephani <p.stephani2@HIDDEN> writes:

PS> Only answering this one: Unloading dynamic libraries is generally quite
PS> hairy. I don't think there are plans to support it at the moment.

Yes, I'd be surprised in fact if this is ever supported, unless it becomes a
more common and useful thing to have.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28345; Package emacs. Full text available.

Message received at 28345 <at> debbugs.gnu.org:


Received: (at 28345) by debbugs.gnu.org; 24 Sep 2017 11:08:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 24 07:08:33 2017
Received: from localhost ([127.0.0.1]:55233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dw4m1-0004Wb-E8
	for submit <at> debbugs.gnu.org; Sun, 24 Sep 2017 07:08:33 -0400
Received: from mail-oi0-f44.google.com ([209.85.218.44]:48865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1dw4m0-0004WQ-Dj
 for 28345 <at> debbugs.gnu.org; Sun, 24 Sep 2017 07:08:33 -0400
Received: by mail-oi0-f44.google.com with SMTP id v188so3583108oia.5
 for <28345 <at> debbugs.gnu.org>; Sun, 24 Sep 2017 04:08:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=Fec+5y8W0lqqJIa8q1Lnqx35iKORn7ZoqNk3cq+c5rM=;
 b=GwgirXmIVX4Wtj89E32xThnfEPIHZXU5wZyTvj4IdhRyq/xVe9bOUYC8UvF2r7idSf
 0AhDJSJtDEE9iCi13yjCtD/pW7Hag6xmeuQ7NvDpgKKUWXGfdrGyjHCXGf5Tp8RIPqv2
 QQ4yKkDfQQyW3mlz+NbvUeVsUW/JgTwVbowdec1eG8PO6qkt4rvdFrf+lVFddpxlVOAt
 ZBt1OgJZ1/wpxEeBC5+RmeLd6FMwEtWvGB8wU7LLwcDzhx9Y4puc1AeHRO9O9j6fZ9ij
 Sqie7RuD7P01JtoVXgd+CLwCMWgSZT1tVdtCexc7PyYxwRIREVoNKaSQdGVy1qBPwizG
 tZ+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=Fec+5y8W0lqqJIa8q1Lnqx35iKORn7ZoqNk3cq+c5rM=;
 b=si1v06EV9zF4rOjzWMFjCkjyh8U2Nff5JeC2Oe4S4SHGeRARf9DPAn24jOpo3UUKUu
 zPCPSL44gtX1sPtjvboX0tsju+CR2BW18CHrcR/cz+xozOmlb/zXcMbDMdOuSiHIgSKk
 TuBgvBAOl05eYs7xNUo8cRaRL3XzGiQ+pJEVMsc5fZ5vsL2NSKyrjk6Ck5PF5/EYUuvH
 EB/BroxdK8YNDJVOkb4njLQWfPuQrd47q8qzhzZFkbZR1y79DcphYxnIL38Ogi6rWT+Z
 mZvPoRL/wiN+TYcwzMimqBza/L5fDv9QpikiK958cg2A7VlBJHR4DRwDbQGoM15Lqqq/
 m1pQ==
X-Gm-Message-State: AHPjjUgOc8AdKIkE+ERoV0MdLIqKlihs6RpHlzVCf/6HRDa+0muG2aMC
 PkfhlXArnGM3TeYZW29n23Y89i5itbmgpKjZ08E=
X-Google-Smtp-Source: AOwi7QCu1OSeuAAzA9bjvTroJl8ANBHw82g4JDyhrXd60OjoayJaxJSw6BhlQMlhRXpqHTFUslHoFjJltIrMz66I64Q=
X-Received: by 10.202.171.147 with SMTP id u141mr4816876oie.312.1506251306789; 
 Sun, 24 Sep 2017 04:08:26 -0700 (PDT)
MIME-Version: 1.0
References: <CAN+BrVpg5sA0UvcO54sLzNhec7igsqzFJ0V6raenoVLfbahG=A@HIDDEN>
In-Reply-To: <CAN+BrVpg5sA0UvcO54sLzNhec7igsqzFJ0V6raenoVLfbahG=A@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 24 Sep 2017 11:08:16 +0000
Message-ID: <CAArVCkRS19CUnKjCGCMGpPsL7XSu5_xy2Gj1u+_EmrhKv=ak1w@HIDDEN>
Subject: Re: bug#28345: 25.2.1: package-install-file and dynamic modules
To: Peking Duck <pekingducklabs@HIDDEN>, 28345 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="001a113cc36215717d0559ed7610"
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 28345
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

--001a113cc36215717d0559ed7610
Content-Type: text/plain; charset="UTF-8"

Peking Duck <pekingducklabs@HIDDEN> schrieb am Mo., 4. Sep. 2017 um
17:15 Uhr:

>
> One more thing related to dynamic modules: seems to me unload-feature
> doesn't support dynamic modules yet. Will this be fixed?
>

Only answering this one: Unloading dynamic libraries is generally quite
hairy. I don't think there are plans to support it at the moment.

--001a113cc36215717d0559ed7610
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Peking=
 Duck &lt;<a href=3D"mailto:pekingducklabs@HIDDEN">pekingducklabs@gmail.=
com</a>&gt; schrieb am Mo., 4. Sep. 2017 um 17:15=C2=A0Uhr:<br></div><block=
quote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc=
 solid;padding-left:1ex"><div dir=3D"ltr"><div><div><br></div><div>One more=
 thing related to dynamic modules: seems to me unload-feature doesn&#39;t s=
upport dynamic modules yet. Will this be fixed?</div></div></div></blockquo=
te><div><br></div><div>Only answering this one: Unloading dynamic libraries=
 is generally quite hairy. I don&#39;t think there are plans to support it =
at the moment.=C2=A0</div></div></div>

--001a113cc36215717d0559ed7610--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28345; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Sep 2017 15:13:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 04 11:13:32 2017
Received: from localhost ([127.0.0.1]:49035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dot48-0005Jw-Ef
	for submit <at> debbugs.gnu.org; Mon, 04 Sep 2017 11:13:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pekingducklabs@HIDDEN>) id 1doqT6-0007fi-FD
 for submit <at> debbugs.gnu.org; Mon, 04 Sep 2017 08:27:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pekingducklabs@HIDDEN>) id 1doqSw-0005KG-SB
 for submit <at> debbugs.gnu.org; Mon, 04 Sep 2017 08:27:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39263)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pekingducklabs@HIDDEN>)
 id 1doqSw-0005K6-OQ
 for submit <at> debbugs.gnu.org; Mon, 04 Sep 2017 08:26:58 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53081)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pekingducklabs@HIDDEN>) id 1doqSr-0005P2-R2
 for bug-gnu-emacs@HIDDEN; Mon, 04 Sep 2017 08:26:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pekingducklabs@HIDDEN>) id 1doqSk-0005Bh-2l
 for bug-gnu-emacs@HIDDEN; Mon, 04 Sep 2017 08:26:53 -0400
Received: from mail-oi0-x22f.google.com ([2607:f8b0:4003:c06::22f]:36232)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pekingducklabs@HIDDEN>)
 id 1doqSj-0005AU-Tt
 for bug-gnu-emacs@HIDDEN; Mon, 04 Sep 2017 08:26:46 -0400
Received: by mail-oi0-x22f.google.com with SMTP id t75so2635361oie.3
 for <bug-gnu-emacs@HIDDEN>; Mon, 04 Sep 2017 05:26:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=bYjRX9m4PPbZVRClgcUYKLvs/g1X+vr2wIcC+WU7g8Q=;
 b=Nj7enJiZU/XhB6qILfmCSidGpzc0WwK7CUfyxwjgBdKm3G87roPUudOEgThi9NVPCO
 UeYJZK/EesHEUNfPTncJfuGGZxA/YM87wDMgVXOrLQUu/wqFxR6pNr1qzhzIXZqnDEp7
 UNC6JnOsEitBe1wPf1TZuyC452WV+6XzGMMmSulaOKss0h88Qw8kIbF4kesqw1Ab+YpM
 AW7GowsQeIscj2qkbQFIOxWVZKqWVmBgo5njlqOzKaWHD/r+JDLD3Yjv6prI/BXqcVJd
 FsKi23nEXy+hnmcuXRpxV9xs0O2BJ6u9wAMAIIb7/tXdZxHK3UlataGsEByzecLnR5va
 L/sA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=bYjRX9m4PPbZVRClgcUYKLvs/g1X+vr2wIcC+WU7g8Q=;
 b=Ybhg/GCL0DL3l0TuDUTNfQ7bUzaJYTtJTThusUu2kajPfKnsH8gKxs74AbCZhPRQU6
 DggZXbECjObHlqh+6TMx0i7PqJK6SYZxim2vZKXkUp9LIGL6scqbmKCyxgu7VcECmK4M
 sqgXhPRb3I17FthZRZ1M8xWFjc6SOvuY65AC3UYRt4hpXwa8GysfIZA8p5wpoWQj5oZb
 zzYO/ZdnOIILoTdJnDCDYndkhEH7V8IEm0bTgh1M4CRhaCm+JgDWyyJEN6K04rAM6myL
 DezFDufRTjaYPkeHb0Vy882hr/8O6+gGOTqnE92TYpuaYjcNGKbn5zlO4yZGPrRY5xja
 0V+Q==
X-Gm-Message-State: AHPjjUjz592WCnZ9zakBtYDDafcAUmsZyD34oOghosA4k8ubYOXmpro8
 dEmRkz9An6KiVkVq+oKD/8rCGhFBHvnM
X-Google-Smtp-Source: ADKCNb6WkgP9bMbf0j9vtsTobbBClQ0ABAKNSF1DsNMte3Pmr6LH+PGg0KiAaTn3z5I5rZTxSI8zIrqF4Iltexkj768=
X-Received: by 10.202.253.210 with SMTP id b201mr477618oii.20.1504528003669;
 Mon, 04 Sep 2017 05:26:43 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.83.1 with HTTP; Mon, 4 Sep 2017 05:26:43 -0700 (PDT)
From: Peking Duck <pekingducklabs@HIDDEN>
Date: Mon, 4 Sep 2017 20:26:43 +0800
Message-ID: <CAN+BrVpg5sA0UvcO54sLzNhec7igsqzFJ0V6raenoVLfbahG=A@HIDDEN>
Subject: 25.2.1: package-install-file and dynamic modules
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="001a113de80636a38105585c3963"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 04 Sep 2017 11:13:31 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113de80636a38105585c3963
Content-Type: text/plain; charset="UTF-8"

Hi,

I wrote a dynamic module and am trying to use package.el to install it. I
followed the instructions in the Emacs Lisp Manual and created a tar
archive. This tar archive contains:

sqlite3-api-0.1/
sqlite3-api-0.1/sqlite3-api-pkg.el
sqlite3-api-0.1/sqlite3-api.so

I then evaluated

(package-install-file "~/src/emacs-sqlite3-api/sqlite3-api-0.1.tar")

and it gave me an error:

(error "sqlite3-api.so:0:0: error: scan-error: (Containing expression ends
prematurely 47501 47502)\
")

From the backtrace, it's  autoload-generate-file-autoloads in autoload.el
that caused it. Seems to me Emacs was trying to parse the .so looking for
autoloads?

It's on Linux (CentOS7). Interestingly I tried this on macOS later and this
time it worked perfectly.

Is package.el ready for dynamic modules yet?

One more thing related to dynamic modules: seems to me unload-feature
doesn't support dynamic modules yet. Will this be fixed?

Thanks

--001a113de80636a38105585c3963
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<div><br><div>I wrote a dynamic module and am trying to=
 use package.el to install it. I followed the instructions in the Emacs Lis=
p Manual and created a tar archive. This tar archive contains:</div><div><b=
r></div><div><div>sqlite3-api-0.1/</div><div>sqlite3-api-0.1/sqlite3-api-pk=
g.el</div><div>sqlite3-api-0.1/sqlite3-api.so</div></div><div><br></div><di=
v>I then evaluated</div><div><br></div><div><div>(package-install-file &quo=
t;~/src/emacs-sqlite3-api/sqlite3-api-0.1.tar&quot;)</div><div><br></div><d=
iv>and it gave me an error:</div><div><br></div><div>(error &quot;sqlite3-a=
pi.so:0:0: error: scan-error: (Containing expression ends prematurely 47501=
 47502)\</div><div>&quot;)</div></div><div><br></div><div>From the backtrac=
e, it&#39;s=C2=A0=C2=A0autoload-generate-file-autoloads in autoload.el that=
 caused it. Seems to me Emacs was trying to parse the .so looking for autol=
oads?=C2=A0</div><div><br></div><div>It&#39;s on Linux (CentOS7). Interesti=
ngly I tried this on macOS later and this time it worked perfectly.=C2=A0</=
div><div><br></div><div>Is package.el ready for dynamic modules yet?</div><=
div><br></div><div>One more thing related to dynamic modules: seems to me u=
nload-feature doesn&#39;t support dynamic modules yet. Will this be fixed?<=
/div></div><div><br></div><div>Thanks</div></div>

--001a113de80636a38105585c3963--




Acknowledgement sent to Peking Duck <pekingducklabs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28345; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.